Bug 32470 - Selecting a RMI registry node ends up having 2 activated nodes
Selecting a RMI registry node ends up having 2 activated nodes
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
All All
: P3 (vote)
: TBD
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-28 15:49 UTC by Jan Kovar
Modified: 2008-12-23 11:49 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Test that is reproducing the problem (3.89 KB, patch)
2003-04-03 09:42 UTC, Jaroslav Tulach
Details | Diff
Fix (includes API change) and a test (6.52 KB, patch)
2003-04-03 13:24 UTC, Jaroslav Tulach
Details | Diff
JAR patch for version 3.5 (99.93 KB, application/octet-stream)
2003-04-03 13:27 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Kovar 2003-03-28 15:49:41 UTC
After fixing bug 
<http://www.netbeans.org/issues/show_bug.cgi?id=31743> I 
do not know a reproducible case.

Anyway when you select a RMI Registry node in Runtime tab 
the CookieAction.enable method is getting 2 nodes as 
activatedNodes. One is RMIRegistryNode and one is its 
FilterNode.
I think there should be only one activatedNode as only one 
node is selected in the IDE.
Comment 1 Jaroslav Tulach 2003-03-31 12:10:21 UTC
Ok, let's look for what is going on.
Comment 2 Jaroslav Tulach 2003-04-03 09:42:38 UTC
Created attachment 9677 [details]
Test that is reproducing the problem
Comment 3 Jaroslav Tulach 2003-04-03 13:24:30 UTC
Created attachment 9678 [details]
Fix (includes API change) and a test
Comment 4 Jaroslav Tulach 2003-04-03 13:27:07 UTC
Created attachment 9679 [details]
JAR patch for version 3.5
Comment 5 Jaroslav Tulach 2003-04-03 13:29:36 UTC
Jan, can you please verify that the attached patch solves the problem
for the old version of RMI module?
Comment 6 Jan Kovar 2003-04-04 08:54:16 UTC
Verified in Nevada build 030323.
Comment 7 Marian Mirilovic 2003-04-04 15:51:28 UTC
This issue is not planned to be fixed for 3.5, changing TM = 4.0
Comment 8 Jaroslav Tulach 2003-04-07 12:54:29 UTC
Guys can you check this diff? I think I'd apply that just for main
trunk as the conditions for reproducing the bug are really obscure and
it is better not to tease 3.5. Ok?
Comment 9 Jaroslav Tulach 2003-04-07 15:20:15 UTC
Checking in api/doc/changes/apichanges.xml;
/cvs/openide/api/doc/changes/apichanges.xml,v  <--  apichanges.xml
new revision: 1.152; previous revision: 1.151
done
Processing log script arguments...
More commits to come...
Checking in src/org/openide/nodes/FilterNode.java;
/cvs/openide/src/org/openide/nodes/FilterNode.java,v  <--  FilterNode.java
new revision: 1.79; previous revision: 1.78
done
Processing log script arguments...
More commits to come...
Checking in src/org/openide/windows/DefaultTopComponentLookup.java;
/cvs/openide/src/org/openide/windows/DefaultTopComponentLookup.java,v
 <--  DefaultTopComponentLookup.java
new revision: 1.12; previous revision: 1.11
done
Processing log script arguments...
More commits to come...
Checking in
test/unit/src/org/openide/windows/TopComponentGetLookupTest.java;
/cvs/openide/test/unit/src/org/openide/windows/TopComponentGetLookupTest.java,v
 <--  TopComponentGetLookupTest.java
new revision: 1.11; previous revision: 1.10
done
Processing log script arguments...
More commits to come...
Checking in openide-spec-vers.properties;
/cvs/openide/openide-spec-vers.properties,v  <-- 
openide-spec-vers.properties
new revision: 1.112; previous revision: 1.111
done

openide/loaders/src/org/openide/loaders/InstanceDataObject.java, rev. 1.3
Comment 10 Marian Mirilovic 2004-03-17 15:20:45 UTC
fixed lon time ago - verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo